Bug 654912 - On AMD host, running an F14 guest with 2 cores assigned hangs for "a long time" (several 10's of minutes) at start of boot
On AMD host, running an F14 guest with 2 cores assigned hangs for "a long tim...
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.7
All Linux
high Severity high
: rc
: ---
Assigned To: Zachary Amsden
Red Hat Kernel QE team
: Triaged
Depends On: 644973 651639 654914
Blocks: Rhel5KvmTier1
  Show dependency treegraph
 
Reported: 2010-11-18 20:22 EST by Zachary Amsden
Modified: 2013-01-09 18:21 EST (History)
21 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 651639
Environment:
Last Closed: 2011-02-15 06:32:42 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 1 Zachary Amsden 2011-01-13 18:27:00 EST
This is fixed upstream, should be backported into RHEL 5
Comment 2 RHEL Product and Program Management 2011-02-01 12:03:05 EST
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 3 Zachary Amsden 2011-02-03 08:31:28 EST
After careful review (I looked at the 400+ changes between RHEL6 and upstream, then the 450+ changes between RHEL5 and RHEL6 kvm), I don't think this bug is even present on RHEL5.  The AMD initial TSC fixes, which are the most important and clear bugfixes, have been backported into RHEL5 already, and the upstream changes which caused this bug to present have not been incorporated into the RHEL5 codebase.

I think the only thing we need to do here to close the bug is to simply test run an F14 guest with 2 VCPUs on an AMD processor to make sure it boots.
Comment 6 Zachary Amsden 2011-02-15 06:32:42 EST
This clone of the bug can be closed; it's in POST for 6.1, but I don't believe RHEL5 ever caught this particular bug.

Note You need to log in before you can comment on or make changes to this bug.